This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1478782 - [CMCC][RFE] [ironic] automation of BIOS configuration
[CMCC][RFE] [ironic] automation of BIOS configuration
Status: ASSIGNED
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ironic (Show other bugs)
13.0 (Queens)
x86_64 Linux
high Severity high
: Upstream M2
: ---
Assigned To: zenghui.shi
mlammon
: FutureFeature, Triaged
Depends On:
Blocks: 1339072 1419948
  Show dependency treegraph
 
Reported: 2017-08-07 00:53 EDT by zenghui.shi
Modified: 2017-10-02 07:00 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 496481 None None None 2017-08-23 04:10 EDT

  None (edit)
Description zenghui.shi 2017-08-07 00:53:13 EDT
Description of problem:
There are several NFV Use cases that need to configure BIOS settings to enable certain functionality or gain performance optimization(latency and throughput) on compute nodes. 

For example, C-RAN (Cloud Radio Access Network) is one of the use cases that require many BIOS options be configured to achieve deterministic low packet latency. The most important configuration is to disable all options related to Power Management, CPU sleep states, etc. Also, disable any options related to hyper threading or logical processor. 

Another example is that when using SR-IOV or DPDK technologies, 'Virtualization Technology' shall be enabled, for SR-IOV particularly, 'SR-IOV Global Enable' option shall be set to 'Enabled'.

Instead of configuring these settings manually on all the nodes which would be time consuming and error prone, an automation method for BIOS configuration is required in openstack ironic.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Dmitry Tantsur 2017-08-16 06:20:29 EDT
I think it should be treated similar to RAID. Create a way to accept a blob with BIOS attributes (maybe a node field, maybe a new API), then allow vendors to create a clean step to apply them. Then we can create a workflow in TripleO to set parameters based on profile assigned to a node, again, similar to the RAID workflow.

This will need an ironic RFE/spec and a TripleO blueprint.
Comment 2 zenghui.shi 2017-08-19 05:46:53 EDT
(In reply to Dmitry Tantsur from comment #1)
> I think it should be treated similar to RAID. Create a way to accept a blob
> with BIOS attributes (maybe a node field, maybe a new API), then allow
> vendors to create a clean step to apply them. Then we can create a workflow
> in TripleO to set parameters based on profile assigned to a node, again,
> similar to the RAID workflow.
> 
> This will need an ironic RFE/spec and a TripleO blueprint.

thanks for review, Dmitry. do you have plan to write the spec for ironic and tripleo or you prefer to have volunteer to work on that. let me know if anything I could help.
Comment 3 Dmitry Tantsur 2017-08-21 07:26:07 EDT
Hi! We could use any help, as the team is quite overloaded right now. Please go ahead with the spec, if you have free cycles for it. Thanks!
Comment 4 zenghui.shi 2017-08-21 07:36:21 EDT
RFE: https://bugs.launchpad.net/ironic/+bug/1712032
Comment 5 zenghui.shi 2017-08-22 10:37:40 EDT
(In reply to zenghui.shi from comment #4)
> RFE: https://bugs.launchpad.net/ironic/+bug/1712032

working on the spec file.
Comment 6 zenghui.shi 2017-08-23 00:56:43 EDT
(In reply to zenghui.shi from comment #5)
> (In reply to zenghui.shi from comment #4)
> > RFE: https://bugs.launchpad.net/ironic/+bug/1712032
> 
> working on the spec file.

spec review: https://review.openstack.org/#/c/496481/
Comment 10 Dmitry Tantsur 2017-10-02 07:00:51 EDT
Moving to you, as you've been working on it so far. Also status -> ASSIGNED as the code is not fully up yet.

Note You need to log in before you can comment on or make changes to this bug.